{ config, pkgs, ... }:

{
  environment.systemPackages = with pkgs.haskellPackages; with pkgs; [
    jetbrains.idea-community
    # idea.clion
    texlive.combined.scheme-full biber
    gimp
    inkscape
    # jabref
    libreoffice-fresh
    # calibre
    goldendict

    xournal
    xournalpp

    vscode

    ccls
    sumneko-lua-language-server
    texlab
    rnix-lsp
    pyright
    nodePackages.typescript-language-server
    rust-analyzer

    # stack

    elan
    # coq
    # emacsPackages.proofgeneral

    # virtmanager

    (if lib.hasAttr "curaPlugins" pkgs then
      cura.override {
        plugins = with curaPlugins; [ octoprint rawmouse ];
      }
     else cura)
    openscad
    freecad
    calculix
    meshlab

    audacious
    flac
    clementine

    uvccapture

    yarn

    gnome3.baobab

    rustup
  ] ++ (with aspellDicts; [ en de fr nl ]);

  programs.wireshark = {
    enable = true;
    package = pkgs.wireshark;
  };

  hardware.opengl.driSupport32Bit = true;

}
