{ config, pkgs, ... }:

{

  environment.systemPackages = with pkgs; [
    spnavcfg
  ];

  hardware.spacenavd.enable = true;

  nixpkgs.config.packageOverrides = pkgs: with pkgs; {
    spacenavd = spacenavd.overrideDerivation (_: {
      patches = spacenavd.patches ++ [
        (fetchpatch {
          url = "https://github.com/FreeSpacenav/spacenavd/commit/fbf9019470f2511d24a368e2c9113361b58483d5.patch";
          sha256 = "1i98c3k4x8f35kpfp4b9xcwgq45mdjab2frp8c2jl6y62fs84d6j";
        })
      ];
    });
  };

}
